# QLineEdit Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QLineEdit(QWidget parent)
- void QLineEdit(String arg__1, QWidget parent)

### Constructor Properties

- prototype: The QLineEdit prototype object
- Normal
- NoEcho
- Password
- PasswordEchoOnEdit
- EchoMode( value )

### Prototype Object Properties

The QLineEdit prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void backspace()
- QCompleter completer()
- QMenu createStandardContextMenu()
- void cursorBackward(bool mark, int steps)
- void cursorForward(bool mark, int steps)
- int cursorPositionAt(QPoint pos)
- void cursorWordBackward(bool mark)
- void cursorWordForward(bool mark)
- void del()
- void deselect()
- void end(bool mark)
- void getTextMargins(int left, int top, int right, int bottom)
- void home(bool mark)
- void insert(String arg__1)
- QSize minimumSizeHint()
- int selectionStart()
- void setCompleter(QCompleter completer)
- void setSelection(int arg__1, int arg__2)
- void setTextMargins(QMargins margins)
- void setValidator(QValidator arg__1)
- QSize sizeHint()
- QMargins textMargins()
- QValidator validator()

### Instance Properties

QLineEdit objects inherit properties from the QLineEdit prototype object and also have the following properties.

- inputMask
- text
- maxLength
- frame
- echoMode
- displayText
- cursorPosition
- alignment
- modified
- hasSelectedText
- selectedText
- dragEnabled
- readOnly
- undoAvailable
- redoAvailable
- acceptableInput
- placeholderText